For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
      • Management
        • Overview
          • Addresses
          • Authentication
          • Channels
          • Company
          • Invoice Management
          • Orders
          • Payment
          • Quotes
          • Sales Staff
          • Shopping List
          • Super Admin
          • Users
            • GETList B2B Users
            • POSTCreate Company User
            • POSTBulk Create Users
            • GETGet User Details
            • PUTUpdate User Details
            • DELDelete User
            • GETGet User Details by BigCommerce Customer ID
            • GETList Extra Fields for Users
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BManagementUsers

Delete User

DELETE
https://api-b2b.bigcommerce.com/api/v3/io/users/:userId
DELETE
/api/v3/io/users/:userId
$curl -X DELETE https://api-b2b.bigcommerce.com/api/v3/io/users/123 \
> -H "X-Auth-Token: <apiKey>"
1{
2 "code": 200,
3 "data": {
4 "userId": 123
5 },
6 "meta": {
7 "message": "Success"
8 }
9}
Deletes a B2B Edition user account. This endpoint does not delete the BigCommerce customer account. Attempting to delete the last user in a Company will fail, but deleting all admin users will not. > NOTE: > Deleting the only admin user in a Company may result in the Company being unable to do business on your storefront. When using this endpoint, care must be taken to avoid deleting the last admin user.
Was this page helpful?
Previous

Update User Details

Next

Get User Details by BigCommerce Customer ID

Built with

Deletes a B2B Edition user account. This endpoint does not delete the BigCommerce customer account. Attempting to delete the last user in a Company will fail, but deleting all admin users will not.

NOTE:
Deleting the only admin user in a Company may result in the Company being unable to do business on your storefront. When using this endpoint, care must be taken to avoid deleting the last admin user.

Authentication

X-Auth-Tokenstring
HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

X-Store-Hashstring
HeaderArgumentDescription
X-Store-Hashstore_hashThe unique store hash associated with a BigCommerce store that has B2B Edition enabled.

Path parameters

userIdintegerRequired

The unique identifier of the user as reported by Get All Users.

Response

SUCCESS
codeintegerDefaults to 200
Operation status code.
dataobject
metaobject

Errors

404
Not Found Error
422
Unprocessable Entity Error